import React, {Profiler} from "react";
import Google from "./../Google";
import {measureTime} from './../helpers/measureTime';
                                  
export default class Googles extends React.Component{
  constructor(props) {
    super(props)
    this.metricsRef = React.createRef()
  }

  render(){
    return (
      <div>
        <div ref={this.metricsRef} className="mapTime" >
        </div>
        <Profiler id="google" onRender={measureTime(this)}>
          { Array.from({length:30}, (_, index) => 
              <Google key={index}/>
          )}
        </Profiler>
      </div>
    );
  }
} 