from flask import Flask, request
from flask_cors import CORS
import json

app = Flask(__name__)
CORS(app)


@app.route("/get-path", methods=["GET"])
def get_path():
    with open("path.json", "r") as pathFile:
        path = pathFile.read()
    return path


@app.route("/set-path", methods=["POST"])
def set_path():
    path = request.json.get("path")
    with open("path.json", "w") as pathFile:
        json.dump(path, pathFile)
    return "ok", 200


if __name__=="__main__":
    app.run(host='0.0.0.0')
